#include <config.h>

#include "antilink.h"
#include "crypto.h"
#include "safeio.h"
#ifdef WITH_DMALLOC
# include <dmalloc.h>
#endif

int main(void)
{
    ssize_t readen;
    char *crypted;
    char buf[16384];
    
    (void) close(2);
    if ((readen = safe_read(0, buf, sizeof buf - 1U)) < (ssize_t) 0) {
        return 1;
    }
    (void) close(0);    
    buf[sizeof buf - 1U] = 0;
    if ((crypted = crypto_hash_sha1(buf, 1)) == NULL) {
        return 2;
    }
    if (safe_write(1, crypted, strlen(crypted)) != 0) {
        return 3;
    }
    (void) close(1);
    
    return 0;
}
